Skip to main content
GET
/
admin
/
rate-limits
/
ip
/
{ip}
Get rate limit status for an IP address
curl --request GET \
  --url https://api.engagefabric.com/admin/rate-limits/ip/{ip}
{
  "ip": "<string>",
  "usage": {
    "current": 123,
    "limit": 123,
    "remaining": 123,
    "window": 123,
    "resetAt": 123,
    "usagePercent": 123
  },
  "isBlocked": true,
  "blockReason": "<string>",
  "blockExpiresAt": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.engagefabric.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

ip
string
required

IP address

Response

200 - application/json

IP rate limit status

ip
string
required

IP address

usage
object
required

Rate limit usage

isBlocked
boolean
required

Is IP blocked

blockReason
string

Block reason

blockExpiresAt
number

Block expires at